Report a suspected side effect
curl --request POST \
--url https://api.hi-doctor.ai/v1/users/adverse-events/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"treatment_id": "wegovy",
"medication_name": "Wegovy Semaglutide 0.5 mg FlexTouch",
"description": "Persistent nausea for three days after the second dose.",
"severity": "moderate",
"onset_date": "2026-07-29"
}
'import requests
url = "https://api.hi-doctor.ai/v1/users/adverse-events/"
payload = {
"treatment_id": "wegovy",
"medication_name": "Wegovy Semaglutide 0.5 mg FlexTouch",
"description": "Persistent nausea for three days after the second dose.",
"severity": "moderate",
"onset_date": "2026-07-29"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
treatment_id: 'wegovy',
medication_name: 'Wegovy Semaglutide 0.5 mg FlexTouch',
description: 'Persistent nausea for three days after the second dose.',
severity: 'moderate',
onset_date: '2026-07-29'
})
};
fetch('https://api.hi-doctor.ai/v1/users/adverse-events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatment_id": "<string>",
"medication_name": "<string>",
"description": "<string>",
"onset_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"consultation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"treatment_id": [
"This field is required."
],
"medication_name": [
"This field is required."
],
"description": [
"This field is required."
],
"severity": [
"This field is required."
],
"onset_date": [
"This field is required."
]
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Records
Report a suspected side effect
Sends a suspected medication side effect to the clinical team. Report even if you are unsure the treatment caused it. This is not an emergency channel.
POST
/
v1
/
users
/
adverse-events
/
Report a suspected side effect
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Maximum string length:
255Maximum string length:
255Available options:
mild, moderate, severe ⌘I